QGIS Crashes when drawning lines using snapping tools

2018-12-19 12:44 AM - Leonardo  Nazareth

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:3.4.2 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 28660

Description

User Feedback

I was drawning lines of a sewer network using the snapping tool, when I put the mouse near the vertex and before do the left click on the

mouse QGIS has crashed, this has happening several times in the last 30 minutes.

Report Details

Crash ID: d6d70ee42df1d47edd8f50d7d2aee51de383c94a

Stack Trace

QgsGeometry::closestVertex :

QgsPointLocator::setRenderContext :

SpatialIndex::RTree::loadRTree :

SpatialIndex::RTree::Data::getShape :

QgsPointLocator::nearestVertex :

QgsSnappingUtils::~QgsSnappingUtils :

QgsSnappingUtils::snapToMap :

QgsMapMouseEvent::snapPoint :

QgsMapToolAdvancedDigitizing::canvasMoveEvent :

QgsMapCanvas::mouseMoveEvent :

QWidget::event :

QFrame::event :

QGraphicsView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :
QGIS Info

QGIS Version: 3.4.2-Madeira

QGIS code revision: commit:22034aa070

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2019-01-27 04:37 PM - salvatore fiandaca

I had the same problem, I solved by creating a new profile (settings) and without using third-party plugins.

regards

#2 - 2019-01-28 10:54 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to High

- Status changed from Open to Feedback

Please try with a new/clean profile (no 3rd party plugins) and with qgis 3.4.4.

#3 - 2019-01-28 01:39 PM - Leonardo  Nazareth

Giovanni Manghi wrote:

Please try with a new/clean profile (no 3rd party plugins) and with qgis 3.4.4.

I realized that it was a problem with a plugin that I'm developing. When I generate the feature and save the attributes by the plugin, some cache was still

working and the features were duplicated, so when I tried to use the snapping tools it crashes the QGIS.

#4 - 2019-01-28 01:41 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to invalid
